=== debian/control ===
Source: libnss-tacplus
Priority: optional
Maintainer: dev-support <dev-support@cumulusnetworks.com>
Build-Depends: debhelper (>= 9), autotools-dev, libtac-dev (>= 1.4.1~),
    libtacplus-map-dev, libaudit-dev, autoconf, libpam-tacplus-dev,
    dpkg-dev (>= 1.16.1), git
Section: libs
Standards-Version: 3.9.8
Homepage: http://www.cumulusnetworks.com

Package: libnss-tacplus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtac2 (>= 1.4.1~),
    libtacplus-map1, libaudit1
Description: NSS module for TACACS+ authentication without local passwd entry
	Performs getpwname and getpwuid lookups via NSS for users logged in via
	tacacs authentication, and mapping done with libtacplus_map
